Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Tx Status Register. More...
## Data Fields
unsigned int | reserved_1:2
| [31:30] These bits are always 0
unsigned int | txFIFO2Underflow:1
| [29] This bit is set if 64-byte Transmit FIFO2 indicates a FIFO underflow error condition
unsigned int | txFIFO1Underflow:1
| [28] This bit is set if 64-byte Transmit FIFO1 indicates a FIFO underflow error condition
unsigned int | txFIFO2Overflow:1
| [27] This bit is set if 64-byte Transmit FIFO2 indicates a FIFO overflow error condition
unsigned int | txFIFO1Overflow:1
| [26] This bit is set if 64-byte Transmit FIFO1 indicates a FIFO overflow error condition
unsigned int | txIdleCellCountOvr:1
| [25] This bit is set if the TxIdleCellCount register overflows
unsigned int | txCellCountOvr:1
| [24] This bit is set if the TxCellCount register overflows
unsigned int | reserved_2:24
| [23:0] These bits are always 0
## Detailed Description Utopia Tx Status Register. Definition at line 1723 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::reserved_1
| [31:30] These bits are always 0 Definition at line 1726 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::reserved_2
| [23:0] These bits are always 0 Definition at line 1749 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txCellCountOvr
| [24] This bit is set if the TxCellCount register overflows Definition at line 1746 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txFIFO1Overflow
| [26] This bit is set if 64-byte Transmit FIFO1 indicates a FIFO overflow error condition Definition at line 1739 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txFIFO1Underflow
| [28] This bit is set if 64-byte Transmit FIFO1 indicates a FIFO underflow error condition Definition at line 1731 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txFIFO2Overflow
| [27] This bit is set if 64-byte Transmit FIFO2 indicates a FIFO overflow error condition Definition at line 1735 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txFIFO2Underflow
| [29] This bit is set if 64-byte Transmit FIFO2 indicates a FIFO underflow error condition Definition at line 1727 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtTxCellConditionStatus_::txIdleCellCountOvr
| [25] This bit is set if the TxIdleCellCount register overflows Definition at line 1743 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003